ソースを参照

scripts: move sets out of shebang

The makefile calls the scripts with `bash -x ...`, which overrides the
shebang, so the -e is dropped.
Austin English 4 年 前
コミット
3c57f8e0ab

+ 4 - 1
scripts/buildFilesystem.sh

@@ -1,4 +1,7 @@
-#!/bin/bash -xe
+#!/bin/bash
+
+set -x
+set -e
 
 # Build fs, image
 

+ 4 - 1
scripts/buildInitramFs.sh

@@ -1,4 +1,7 @@
-#!/bin/sh -xe
+#!/bin/bash
+
+set -x
+set -e
 
 #Build initramfs image
 

+ 4 - 1
scripts/buildKernel.sh

@@ -1,4 +1,7 @@
-#!/bin/sh -xe
+#!/bin/bash
+
+set -x
+set -e
 
 #Build kenerl, wifi firmware
 

+ 4 - 1
scripts/crossmenuconfig.sh

@@ -1,4 +1,7 @@
-#!/bin/sh -xe
+#!/bin/bash
+
+set -x
+set -e
 
 #Runs Make menuconfig with the proper enviroment vars for cross compiling arm 
 #Grabs the file named config in resources/BuildResources directory, and updates it

+ 4 - 1
scripts/injectKernelIntoFS.sh

@@ -1,4 +1,7 @@
-#!/bin/sh -xe
+#!/bin/bash
+
+set -x
+set -e
 
 # This file is part of PrawnOS (http://www.prawnos.com)
 # Copyright (c) 2018 Hal Emmerich <hal@halemmerich.com>

+ 4 - 1
scripts/patchKernel.sh

@@ -1,4 +1,7 @@
-#!/bin/sh -xe
+#!/bin/bash
+
+set -x
+set -e
 
 if [ -z "$1" ]
 then